Subject: I-D Action: draft-dwmtwc-dnsop-caching-resolution-failures-00.txt

From: [email-masked]
Date: Thu, 13 Jan 2022 13:28:00 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Negative Caching of DNS Resolution Failures
        Authors         : Duane Wessels
                          William Carroll
                          Matthew Thomas
	Filename        : draft-dwmtwc-dnsop-caching-resolution-failures-00.txt
	Pages           : 13
	Date            : 2022-01-13

Abstract:
   In the DNS, resolvers employ caching to reduce both latency for end
   users and load on authoritative name servers.  The process of
   resolution may result in one of three types of responses: (1) a
   response containing the requested data; (2) a response indicating the
   requested data does not exist; or (3) a non-response due to a
   resolution failure in which the resolver does not receive any useful
   information regarding the data's existence.  This document concerns
   itself only with the third type.

   RFC 2308 specifies requirements for DNS negative caching.  There,
   caching of type (1) and (2) responses is mandatory and caching of
   type (3) responses is optional.  This document updates RFC 2308 to
   require negative caching for DNS resolution failures.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-dwmtwc-dnsop-caching-resolution-failures/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-dwmtwc-dnsop-caching-resolution-failures-00

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts